<div class="flex flex-col flex-auto items-top min-w-0" style="background-color:#F8F8F8;">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container mx-auto flex justify-between">
            <div class="container flex items-center h-14 px-4 mb-3 pb-0">
                <!-- Light version -->
                <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
                <!-- Dark version -->
                <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
            </div>
            <div class="flex items-center cursor-pointer" [routerLink]="['/sign-in']">
                <span class="mt-6 mb-6 font-333 font-Regular-18">Login</span>
            </div>
        </div>
    </div>

    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/register']"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-20"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>Phone Number Verification</div>
        </div>
    </div>
    <div class="items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001A;">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">

            <div id="securityCheck" class="mx-5">
                <div class="mt-8 font-Semibold-20 font-333">Security Check</div>
                <div class="flex items-baseline -mt-2 font-normal py-4">
                    <div>We've sent a 6-digit-One-Time Password (OTP) to your phone number {{ hideDigits(phoneNumber) }}
                    </div>
                </div>
            </div>
            <ng-otp-input class="flex justify-center font-7B7B7B otpNumber" #ngOtpInput name="otp"
                (onInputChange)="onOtpChange($event)" *ngIf="showOtpComponent" [config]="config" required>
            </ng-otp-input>

            <!-- <div *ngIf="ngOtpInput.otpForm.get('otp').errors?.required">OTP required.</div> -->

            <!-- Alert -->
            <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
                class="justify-center">
                {{alert.message}}
            </fuse-alert>


            <!-- Form footer -->
            <div class="mt-8 font-Regular-16 items-center grid">
                <span class="text-center mb-3.5">Didn't receive your code?</span>
                <a class="ml-1 text-center font-0038ff"
                    [ngClass]="{'font-0038ff': resendOtp, 'font-7B7B7B': !resendOtp, 'disabled': !resendOtp}"
                    style="cursor: pointer;" (click)="resendOtp ? sendNewOtp() : null">Resend code
                </a>
            </div>
            <div class="mt-8 font-Regular-16 items-center grid">
                <span class="text-center mb-3.5">Please enter One-Time-Password (OTP) within</span>
                <a class="text-center mb-3.5 font-ff0000">{{ display }} minutes</a>
            </div>
            <div class="text-divider font-Medium-14" style="color: #7B7B7B;">or</div><br>
            <div>
                <a class="flex font-0038ff font-Regular-16  text-center justify-center items-center"
                    routerLink="/register">
                    Change Phone Number
                </a>
            </div>
            <button class="fuse-mat-button-large w-full mt-6 button-r5 button-r5" mat-flat-button [color]="'primary'"
                (click)="verifyOtp()">
                <span>
                    Verify
                </span>
            </button>

        </div>
    </div>
</div>